# Get Grouped Standings by Round ID

{% hint style="info" %}
This endpoint is available to new Plans & Pricing customers only.&#x20;
{% endhint %}

Returns the standing table for a specific round, formatted by group where applicable. If the round standing contains groups (for example, a tournament group stage), the response is structured per group. If no groups are present, the response returns a standard flat standings list.

#### **Base URL**

```http
https://api.sportmonks.com/v3/football/standings/rounds/{round_id}/grouped
```

#### **Example response**

{% tabs %}
{% tab title="With Groups" %}

```json
{
  "data": [
    {
      "id": 246691,
      "name": "Group A",
      "standings": [
        {
          "id": 2588673,
          "sport_id": 1,
          "league_id": 732,
          "season_id": 26618,
          "stage_id": 77478049,
          "group_id": 246691,
          "round_id": 395361,
          "participant_id": 53,
          "standing_rule_id": 13224,
          "position": 1,
          "points": 6,
          "result": "equal"
        }
      ]
    },
    {
      "id": 246692,
      "name": "Group B",
      "standings": [
        {
          "id": 2588680,
          "sport_id": 1,
          "league_id": 732,
          "season_id": 26618,
          "stage_id": 77478049,
          "group_id": 246692,
          "round_id": 395361,
          "participant_id": 62,
          "standing_rule_id": 13223,
          "position": 1,
          "points": 4,
          "result": "equal"
        }
      ]
    }
  ]
}
```

{% endtab %}

{% tab title="Without Groups" %}

```http
{
  "data": [
    {
      "id": 2588673,
      "sport_id": 1,
      "league_id": 501,
      "season_id": 19735,
      "stage_id": 77457866,
      "group_id": null,
      "round_id": 395361,
      "participant_id": 53,
      "standing_rule_id": 13224,
      "position": 1,
      "points": 73,
      "result": "equal"
    },
    {
      "id": 2588678,
      "sport_id": 1,
      "league_id": 501,
      "season_id": 19735,
      "stage_id": 77457866,
      "group_id": null,
      "round_id": 395361,
      "participant_id": 62,
      "standing_rule_id": 13223,
      "position": 2,
      "points": 64,
      "result": "equal"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

#### **Field description**

| Field              | Description                                                                 | Type           |
| ------------------ | --------------------------------------------------------------------------- | -------------- |
| id                 | Refers to the unique id of the standing or group                            | integer        |
| name               | The name of the group (only present when groups exist)                      | string / null  |
| standings          | Array of standing entries within the group (only present when groups exist) | array / null   |
| participant\_id    | Refers to the participant related to the standing                           | integer        |
| sport\_id          | Refers to the sport related to the standing                                 | integer        |
| league\_id         | Refers to the league related to the standing                                | integer        |
| season\_id         | Refers to the season related to the standing                                | integer        |
| stage\_id          | Refers to the stage related to the standing                                 | integer        |
| group\_id          | Refers to the group related to the standing                                 | integer / null |
| round\_id          | Refers to the round related to the standing                                 | integer / null |
| standing\_rule\_id | Refers to the standing rule related to the standing                         | integer        |
| position           | The position of the team in the standing                                    | integer        |
| result             | Indication of whether the team went up or down in the standing              | string         |
| points             | The number of points the team has gathered in the standings                 | integer        |

#### **Query parameters**

| Name        | Required?                                                       | Description                                                                                                                                                             |
| ----------- | --------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `api_token` | YES - another option is to provide the API token in the header. | Your unique API token. Ex. `?api_token=YOUR_TOKEN`                                                                                                                      |
| `include`   | NO                                                              | Enrich the API response with more data by using includes. Ex. `&include=participants;events`                                                                            |
| `select`    | NO                                                              | Select specific fields on the base entity. Read how to select fields in our tutorial.                                                                                   |
| `filters`   | NO                                                              | Filter the API response on multiple related entities. There are static filters and dynamic filters. Please find the possibilities in the Static and Dynamic Filter tab. |
| `locale`    | NO                                                              | Translate name fields of the API response in your selected language. Find more information and which languages are available on our translations page.                  |

#### Static filters

**Static filters** are always the same and filter in one specific way without any custom options. Each static filter is listed below and has a description of how it filters. For more information, please look at our [Filters page](https://docs.sportmonks.com/v3/core-api/endpoints/filters).

| Static Filters | Available on Entity | Description                    | Example |
| -------------- | ------------------- | ------------------------------ | ------- |
| N/A            | N/A                 | Not available on this endpoint | `N/A`   |

#### Dynamic filters

The **dynamic filters** are based on entities and includes. Each dynamic filter uses an entity to filter on and one entity to apply the filter on. Below are examples with explanations of how filters are set up. For more information, please look at our [Filters page.](https://docs.sportmonks.com/v3/core-api/endpoints/filters)

{% hint style="info" %}
Using an include? Check their respective filters on their entity page. For example if you use `&include=participants` you can apply [team-related filters](https://claude.ai/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#team).&#x20;
{% endhint %}

| Dynamic Filters | Available on Entity                                                                                                                                                                                         | Description                                                                     | Examples                                                                                                                                      |
| --------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------- |
| `types`         | `Standingdetails`, `standingrule`. Check this [endpoint](https://docs.sportmonks.com/football2/v/core/endpoints/filters/get-all-entity-filters) for all possibilities.                                      | Filter the Types on a selection of certain standing rules, or standing details. | `&include=details.type&filters=standingdetailTypes:TypeIDs` `&include=details.type&filters=standingdetailTypes:129`                           |
| `groups`        | Fixtures, Standing, and more. Check this [endpoint](https://docs.sportmonks.com/football2/v/core/endpoints/filters/get-all-entity-filters) for all possibilities.                                           | Filter the standings based on groups.                                           | `&include=group&filters=standingGroups:groupIDs` `&include=group&filters=standingGroups:246691`                                               |
| `seasons`       | Statistics (players, team, coaches, referees), Standings, and way more. Check this [endpoint](https://docs.sportmonks.com/football2/v/core/endpoints/filters/get-all-entity-filters) for all possibilities. | Filter on team season statistics.                                               | `&include=participant.statistics&filters=teamstatisticSeasons:seasonIDS` `&include=participant.statistics&filters=teamstatisticSeasons:19734` |

#### Filters

More information on how to use filters can be found on our tutorials on how to [filter](https://docs.sportmonks.com/football2/api/request-options/filtering). If you want more information on which filters to use you can check out the following endpoint:

```http
https://api.sportmonks.com/v3/my/filters/entity?api_token=YOUR_TOKEN
```

#### Pagination

NO

#### Include depth

You can use a total of `2` nested includes on this endpoint.

#### Include options

[`participant`](https://claude.ai/v3/endpoints-and-entities/entities/team-player-squad-coach-and-referee.md#team) [`season`](https://claude.ai/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#season) [`league`](https://claude.ai/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#league) [`stage`](https://claude.ai/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#stage) [`group`](https://claude.ai/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#group) [`round`](https://claude.ai/v3/endpoints-and-entities/entities/league-season-schedule-stage-and-round.md#round) [`rule`](https://claude.ai/v3/endpoints-and-entities/entities/standing-and-topscorer.md#standingrule) [`details`](https://claude.ai/v3/endpoints-and-entities/entities/standing-and-topscorer.md#standingdetail) [`form`](https://claude.ai/v3/endpoints-and-entities/entities/standing-and-topscorer.md#standingform) [`sport`](https://docs.sportmonks.com/v3/core-api/)

#### Related Entities

Get an overview and explanation of all the fields returned in the API response. The related entities for the standings endpoint are:

* [Standing](https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/standings)

#### Postman

We also offer detailed postman documentation with examples and a complete up-to-date version of all our endpoints. Below is a button that lets your fork the collection or import it.

[![Run in Postman](https://run.pstmn.io/button.svg)](https://app.getpostman.com/run-collection/11949411-c7a3a0a0-b5c5-4109-9bf6-f430fec65316?action=collection%2Ffork\&collection-url=entityId%3D11949411-c7a3a0a0-b5c5-4109-9bf6-f430fec65316%26entityType%3Dcollection%26workspaceId%3D17c720d0-d97b-42a9-9ea7-23260ed53ddf)

#### Code Example

{% tabs %}
{% tab title="Ruby" %}

```ruby
require "uri"
require "net/http"

url = URI("https://api.sportmonks.com/v3/football/standings/rounds/{round_id}/grouped?api_token=YOUR_TOKEN")

https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true

request = Net::HTTP::Get.new(url)

response = https.request(request)
puts response.read_body
```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("api.sportmonks.com")
payload = ''
headers = {}
conn.request("GET", "/v3/football/standings/rounds/{round_id}/grouped?api_token=YOUR_TOKEN", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.sportmonks.com/v3/football/standings/rounds/{round_id}/grouped?api_token=YOUR_TOKEN',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="Java" %}

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
Request request = new Request.Builder()
  .url("https://api.sportmonks.com/v3/football/standings/rounds/{round_id}/grouped
?api_token=YOUR_TOKEN")
  .method("GET", null)
  .build();
Response response = client.newCall(request).execute();
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
var unirest = require('unirest');
var req = unirest('GET', 'https://api.sportmonks.com/v3/football/standings/rounds/{round_id}/grouped?api_token=YOUR_TOKEN')
  .end(function (res) {
    if (res.error) throw new Error(res.error);
    console.log(res.raw_body);
  });
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.sportmonks.com/v3/football/standings/rounds/{round_id}/grouped?api_token=YOUR_TOKEN"
  method := "GET"

  client := &http.Client{}
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := ioutil.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/standings/get-grouped-standings-by-round-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
